{-# LANGUAGE OverloadedStrings #-}
module AppMainSpec where

import Database.PostgreSQL.Transact

import Test.Hspec

import Control.Monad.IO.Class (liftIO)

-- internal imports

import Util
import TestUtil

spec :: Spec
spec = describeDB (const $ return ()) "Initialize DB" $
  itDB "calls initialization script" $ do
    conn <- getConnection
    liftIO $ shouldReturn (initDB conn) ()
